#
# spec file for package orthos-client
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           orthos-client
Version:        1.2.31+git.5a38e82
Release:        1.5
Summary:        Command line client for orthos2
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Boot/Servers
URL:            https://github.com/openSUSE/orthos2
Source:         orthos2-%{version}.tar.gz
Source1:        orthos2.1
Requires:       python3-base
Requires:       python3-pytz
BuildArch:      noarch

%description
Command line client that provides a shell like command
line interface based on readline.

%prep

%setup -q -n orthos2-%{version}

%build

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1

install orthos2 %{buildroot}/%{_bindir}/orthos2
install -m 644 %{S:1} %{buildroot}/%{_mandir}/man1/orthos2.1

%files
%doc orthosrc
%attr(755, root, root) %{_bindir}/orthos2
%{_mandir}/man1/orthos2.1%{?ext_man}

%changelog
* Fri Jan  7 2022 trenn@suse.de
- Update to version 1.2.31+git.5a38e82:
  * Properly add example orthosrc
  * Add config command to show current connection stats
  * client: Properly catch Exception on server side
  * Add missing import in client
  * Show logged in user in command prompt
  * Do not enforce username, token is enough
  * Introduce new client parameter: -c/--config to pass an addtional orthosrc config file
  * Move user orthosrc file to ~/.config/orthosrc
* Fri Oct 15 2021 trenn@suse.de
- Update to version 1.0.135+git.c802577:
  * Add missing import in client
* Fri Oct 15 2021 trenn@suse.de
- Update to version 1.0.133+git.66567a6:
  * Tiny fixups
  * Show logged in user in command prompt
  * Do not enforce username, token is enough
  * Introduce new client parameter: -c/--config to pass an addtional orthosrc config file
  * Move user orthosrc file to ~/.config/orthosrc
* Tue Oct 12 2021 trenn@suse.de
- Update to version 1.0.116+git.68f5ece:
  * Move user orthosrc file to ~/.config/orthosrc
  * Add manpage generated in orthos2 server package via Source1: tag
* Thu Oct  7 2021 trenn@suse.de
- Update to version 1.0.102+git.a6bbc34:
  * Always try to use ssl connection and complain/warn if none ssl is chosen
  * Set default port to 80, not 8000
  * Rearrange order of imports
  * Use context manager for open()
  * Use isinstance() instead of type() to check for type
* Mon Oct  4 2021 Christian Vögl <christian.voegl@suse.com>
- Run spec-cleaner
* Mon Oct  4 2021 Christian Vögl <christian.voegl@suse.com>
- Changed source to tarball with obs service
- Renamed package orthos2 -> orthos
* Mon Oct  4 2021 christian.voegl@suse.com
- Update to version 1.0.86+git.9cc6510:
  * new folder structure
  * Rearrange order of imports
  * Fix spacing
  * Use context manager for open()
  * Use isinstance() instead of type() to check for type
  * Use sets
  * Simplify boolean conditions
  * Format docstring
  * Remove trailing comma
  * Use version_info to get python version
* Mon Oct  4 2021 Christian Vögl <christian.voegl@suse.com>
  Initial Commit-
